Safari 5.1/Lion, Försäkringskassan och BankID - något går fel

Tråden skapades och har fått 13 svar. Det senaste inlägget skrevs .
1

Är det någon som framgångsrikt kan logga in hos Försäkringskassan med Safari 5.1 under OS X Lion?

Detta fungerar utmärkt för mig i OS X Lion:
- Att testa BankID via https://test.bankid.com i Safari.
- Att logga in via BankID hos Försäkringskassan i Firefox.
- Att logga in via BankID hos Försäkringskassan i Chrome.

Detta fungerar inte:
- Att logga in via BankID hos Försäkringskassan i Safari.

Varje gång får jag bara:

Inloggning med BankID misslyckades - NEE534
Din inloggning med BankID misslyckades, detaljerad felbeskrivning:

Tekniskt fel.
Ett tekniskt fel har uppstått, vänligen försök igen senare. Kontakta oss om problemet kvarstår, ange då felkod
534-1970037078. Kontaktuppgifter till kundtjänst hittar du på inloggningssidan.

Så varför inte bara köra Firefox eller Chrome?

Jo för att FK använder sig av Adobe Reader för vissa funktioner (som att avstå föräldradagar till den andre föräldern). Och Adobe Reader har bara plugin för - just det - Safari! Hurra!

Jag får samma problem, men å andra har jag en miljon andra problem med Safari 5.1, som på massor av sätt funkar sämre än 5.0

  • Medlem
  • Örebro
  • 2011-08-17 16:48

Adobe Reader ska fungera i Firefox. Jag har för mig att det finns en funktion i Reader för att kontrollera och reparera installationer. Kolla även att du har plugin-funktionen påslagen.

Ursprungligen av jahve:

Adobe Reader ska fungera i Firefox. Jag har för mig att det finns en funktion i Reader för att kontrollera och reparera installationer. Kolla även att du har plugin-funktionen påslagen.

Nej det gör den tyvärr inte.

För närvarande ser jag ingen annan lösning än att köra i Windows faktiskt, tragiskt men sant.

Ursprungligen av Richard Rönnbäck:

För närvarande ser jag ingen annan lösning än att köra i Windows faktiskt, tragiskt men sant.

Ah, ja det går ju faktiskt, även om det är en tråkig lösning. Men ibland vill man bara lösa ett problem och då är det bättre än inget. Fascinerande att jag inte tänkte på att det alternativet finns, trots att jag faktiskt har både Parallels och Fusion installerat på datorn (för webbutveckling).

Ursprungligen av jahve:

Adobe Reader ska fungera i Firefox.

Nej, som Richard skriver så fungerar den inte, det har jag redan kollat upp, såhär skriver Adobe:

Acrobat X and Adobe Reader X support viewing PDF files inside the Safari browser on Mac OS X. Acrobat X and Reader X do not support any other browser, such as Firefox or Opera.

  • Medlem
  • Örebro
  • 2011-08-17 19:58

Den ändringen hade jag helt missat. Alltid lär man sig något nytt.

Jag antar att FK använder någon typ av PDF-magi som kanske inte fungerar i andra PDF-läsare. Annars hade kanske PDF Browser Plugin hjälpt (Schubert|it PDF Browser Plugin).

FK använder sig av viss säkerhet och krypteringsteknik som jag tror bara finns i den officiella PDF plugin:en från Adobe..

  • Medlem
  • 2011-08-17 21:05

Jag mailade Försäkringskassan om detta problem.

De skyller på en bug i Safari och säger att Safari kommer att uppdateras i veckan (hur dom nu kan veta det).

Det går att logga in med Firefox.

Ursprungligen av MP:

Jag mailade Försäkringskassan om detta problem.

De skyller på en bug i Safari och säger att Safari kommer att uppdateras i veckan (hur dom nu kan veta det).

Intressant, ska bli spännande att se om det faktiskt stämmer. Jag hade då redan hunnit uppdatera till 10.7.1 innan jag testade idag, så den uppdateringen var ingen hjälp.

Numera går det att använda BankID hos Försäkringskassan i Safari 5.1, de måste ha löst de problem som fanns (jag har inte uppdaterat något).

Men. Jag får inte Safari att ladda Adobes PDF-plugin, trots att jag har den installerad. Jag läste att den kräver 32 bit, så jag har ställt in Safari att öppna i 32 bit-läge, men det gör ingen skillnad, det är Apples egen PDF-visning som används (vilket jag i vanliga fall *vill* ha, men Försäkringskassan använder PDF-funktion som kräver Adobes plugin).

Ursprungligen av Adrian B:

Numera går det att använda BankID hos Försäkringskassan i Safari 5.1, de måste ha löst de problem som fanns (jag har inte uppdaterat något).

Men. Jag får inte Safari att ladda Adobes PDF-plugin, trots att jag har den installerad. Jag läste att den kräver 32 bit, så jag har ställt in Safari att öppna i 32 bit-läge, men det gör ingen skillnad, det är Apples egen PDF-visning som används (vilket jag i vanliga fall *vill* ha, men Försäkringskassan använder PDF-funktion som kräver Adobes plugin).

Finns det någon lösning på detta såhär snart fyra månader senare (bortsett från att logga in via Windows)? Försökte som en galning i veckan utan att lyckas.

Hittade förklaringen:

Adobe Reader plug-in and Acrobat plug-in are not compatible with the Safari 5.1 browser, which will ship with Mac OS X 10.7 and for 10.6 in July. Adobe Reader and Acrobat will continue to work as standalone applications on Mac OS X 10.7 and 10.6, and will render PDF documents outside of the browser. In addition, Safari 5.1 renders PDF documents natively. However, the Adobe Reader and Acrobat plug-ins will not function as expected in LiveCycle and Acrobat workflows that require either plug-in to render PDF documents in Safari 5.1.

Egentligen kunde jag inte bry mig mindre, om det inte var för att FK kräver Adobes PDF-plugin.

Problem är alltså när man använder avancerade forumlärfunktioner som bara Adobes PDF-plugin stödjer, då är man rökt helt enkelt:

In other cases, such as Adobe Reader, Acrobat and LiveCycle applications that utilize functionality like forms, digital signatures, portfolios, guides, 3D, extended PDFs and rights management, viewing a PDF inside the browser with the Adobe Reader or Acrobat plug-in may be required, and thus this workaround will not be successful.

Det är till och med så att dosan inte vill starta efter uppdateringen till Lion. Den hänger sig i uppstartsfasen, dvs då de tre fälten visas i dosans teckenfönster. Det blir bara två fält, sedan stannar allt.

Man måste köra utan sladd.

På windows funkar det som vanligt... Mycket störande.

1
Bevaka tråden